import {FlatList} from 'react-native';
import {SampleJoke} from "../model/SampleJoke";
import {CustomJoke} from "../model/CustomJoke";
import Categ from "./Categ";

type JokeListItemProps = {
    jokes: (CustomJoke | SampleJoke)[];
};

export default function Categs(props: JokeListItemProps) {
    return (
        <FlatList showsHorizontalScrollIndicator={false} horizontal={true}
            data={props.jokes}
            keyExtractor={(item) => item.summary().toString()}
            renderItem={
                ({ item }: { item: CustomJoke | SampleJoke }) => (
                    <Categ joke={item}/>
                )
            }
        />
    );
}