import {Image, StyleSheet, Text, View} from 'react-native';
import { customJokeStub } from '../data/stub/CustomJokeStub';
import { sampleJokeStub } from '../data/stub/SampleJokeStub';
import '../types/extension';
import {darksalmonColor, purpleColor, whiteColor} from "../assets/Theme";
import JokesHomeSquare from "../components/JokesHomeSquare";
import Categs from "../components/Categs";

export default function Catalogue() {
    const allJokes = [...customJokeStub, ...sampleJokeStub];
    return (
        <>
            <View style={styles.container}>
                <View style={styles.top}>
                    <Image style={styles.cat} source={require('../assets/logo.png')}/>
                    <Text style={styles.textAccueil}>Chat C'est Drôle</Text>
                </View>
                <View style={styles.Jokes}>
                    <Text style={styles.textLastJokes}>Dernières blagues</Text>
                    <JokesHomeSquare jokes={allJokes} />
                </View>
                <View style={styles.bestCateg}>
                    <View style={styles.horizBestCateg}>
                        <Text style={styles.textBestCateg}>Top Categories</Text>
                        <Image source={require("../assets/fire_icon.png")}/>
                    </View>
                    <View style={styles.horizChip}>
                        <Categs jokes={allJokes}/>
                    </View>
                </View>
            </View>
        </>
    )
};

const styles = StyleSheet.create({
    container: {
        backgroundColor: purpleColor,
        flex:1,
    },
    top: {
        alignItems: "center",
    },
    cat: {
        height:160,
        width: 160
    },
    textAccueil: {
        fontSize: 25,
        color: darksalmonColor,
        fontWeight: "bold",
    },
    Jokes: {
        display:"flex",
        flexDirection:"column",
        marginTop: 50,
        marginLeft: 20,
    },
    scrollList: {
        alignItems: "center"
    },
    textLastJokes: {
        color: whiteColor,
        fontSize: 20,
        fontWeight: "bold",
    },
    bestCateg: {
        marginTop: 30,
        marginLeft: 20,
    },
    horizBestCateg: {
        flexDirection: "row",
    },
    textBestCateg: {
        color: whiteColor,
        fontSize: 20,
        fontWeight: "bold",
    },
    horizChip: {
        flexDirection: "row",
        marginTop: 30,
    }

});